package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.cloud.uc.api.constant.Gender;
import com.chelvc.cloud.uc.api.constant.Scope;
import com.chelvc.framework.common.model.Platform;
import com.chelvc.framework.common.model.Terminal;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户数据模型
 *
 * @author qizai
 * @date 2023/11/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class User implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 应用范围
     */
    private Scope scope;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户性别
     */
    private Gender gender;

    /**
     * 用户生日
     */
    private Date birthday;

    /**
     * 注册IP
     */
    private String host;

    /**
     * 设备标识
     */
    private String device;

    /**
     * openid
     */
    private String openid;

    /**
     * 微信unionid
     */
    private String unionid;

    /**
     * 渠道来源
     */
    private String channel;

    /**
     * 注册平台
     */
    private Platform platform;

    /**
     * 注册终端
     */
    private Terminal terminal;

    /**
     * 客户端版本
     */
    private String version;

    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 活跃时间
     */
    private Date activeTime;

    /**
     * 激活时间
     */
    private Date activateTime;
}
